%define	name		fusion-icon
%define	version		0.1
%define	release		%mkrel 2
%define subrel		2

Name:		%name
Version:	%version
Release:	%release
Summary:	Simple tray icon for compiz fusion
Group:		System/X11
URL:		http://cgit.compiz.org/~crdlb/fusion-icon/
License:	GPLv2+
BuildArch:	noarch

Source0:	http://cgit.compiz.org/~crdlb/fusion-icon/snapshot/%{name}-%{version}.tar.bz2
# the license text is not up to date, Source1 is the latest from FSF
# reported to the author on 2011-06-10
Source1:	LICENSE
Patch0:		fusion-icon-0.1-mdv-add-installing-32x32-icon.patch

BuildRequires:		desktop-file-utils
BuildRequires:		python-devel

Requires:	compizconfig-python
Requires:	pygtk2.0
Requires:	glxinfo
Requires:	xvinfo
Requires:	compiz

Obsoletes: python-%{name}

%description
fusion-icon is a simple tray icon for compiz fusion.

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE MANIFEST VERSION
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%dir %{py_puresitedir}/FusionIcon
%{py_puresitedir}/FusionIcon/*.py*
%{py_puresitedir}/FusionIcon/interface_*/*.py*
%{py_puresitedir}/*.egg-info


%prep
%setup -q
%patch0 -p1

%build
python setup.py build

%install
%__rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%__install -m644 %{SOURCE1} LICENSE
%find_lang %{name}

desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="GTK" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%__rm -rf %{buildroot}


%changelog

* Sat Oct 08 2011 julien <julien> 0.1-2.2.mga1
+ Revision: 152974
- add a Requires on compiz
- add subrel for mga1
- Add fusion-icon to mageia 1

* Wed Sep 28 2011 julien <julien> 0.1-2.mga2
+ Revision: 150081
- no need to complexify with two package (cf python policy)

* Sat Jun 11 2011 julien <julien> 0.1-1.mga2
+ Revision: 103470
- add up to date LICENSE file
- split in two package to follow python modules guidelines
- rename patch0
- rename patch0
- cleanup spec file
  	- imported package fusion-icon
- imported package fusion-icon

